Loading...
Searching...
No Matches
gridfire::utils::Column< T > Class Template Referencefinal

`#include <table_format.h>`

Inheritance diagram for gridfire::utils::Column< T >:
[legend]
Collaboration diagram for gridfire::utils::Column< T >:
[legend]

## Public Member Functions

| Column (std::string header, const std::vector< T > &data)
std::string | getCellData (size_t rowIndex) const override
std::string | getHeader () const override
size_t | getRowCount () const override
Public Member Functions inherited from gridfire::utils::ColumnBase
virtual | ~ColumnBase ()=default

## Private Attributes

std::string | m_header
std::vector< T > | m_data

## Constructor & Destructor Documentation

## Column()

template<typename T>

gridfire::utils::Column< T >::Column | ( | std::string | header,
|  | const std::vector< T > & | data )

inline

## Member Function Documentation

## getCellData()

template<typename T>

std::string gridfire::utils::Column< T >::getCellData | ( | size_t | rowIndex | ) | const

inlinenodiscardoverridevirtual

Implements gridfire::utils::ColumnBase.

## getHeader()

template<typename T>

std::string gridfire::utils::Column< T >::getHeader | ( |  | ) | const

inlinenodiscardoverridevirtual

Implements gridfire::utils::ColumnBase.

## getRowCount()

template<typename T>

size_t gridfire::utils::Column< T >::getRowCount | ( |  | ) | const

inlinenodiscardoverridevirtual

Implements gridfire::utils::ColumnBase.

## Member Data Documentation

## m_data

template<typename T>

std::vector<T> gridfire::utils::Column< T >::m_data

private

## m_header

template<typename T>

std::string gridfire::utils::Column< T >::m_header

private

The documentation for this class was generated from the following file:

- src/include/gridfire/utils/table_format.h